Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Fri, 26 Aug 2022 09:13:22 +0800

Tomas Hlavaty <[email-masked]> writes:

> Frequency is not that relevant.  Convenience is relevant.  It should
> happen after key press.  Not after changing configuration and restarting
> Emacs.  I thought I explained that well enough already.  It is not
> something I invented, it is important use-case and pretty much essential
> part of GUI programs these days.  Try for example C-+ and C-- in firefox
> or xfce4-terminal.

Neither of which result in the menu font being resided, not in
xfce4-terminal or in Firefox.

> - The font configuration is alien to emacs with many issues and downsides.

There is no toolkit that uses the same font configuration we do, since
we wrote our own font display code.

> - It is not possible to change it dynamically.

It is on the Lucid and Motif builds.